dpt-takeover(1)

NAME
dpt-takeover -- take over a package for the Debian Perl Group

SYNOPSIS
dpt takeover -t top-directory [option...] package...

DESCRIPTION
dpt takeover helps taking over a package and adopting its control files for maintenance by the Debian Perl group.

dpt takeover first creates a local Git repository either from existing Git repository specified with the -g option, or by importing the current package available in Debian/unstable via gbp-import-dsc(1).

Next dpt takeover adds suitable entries to debian/changelog, using information given by the -m or the -a options.

Next dpt takeover runs "dpt-packagecheck -a -A -C -c" to adjust the control fields.

Finally, the resulting Git repository is pushed to the Debian collaborative server, alioth.debian.org, unless the -n option is used.

OPTIONS

-t top-directory  (mandatory)
    The location of the top level directory, containing packages/.

-m URL
    The address of the message with which the previous maintainer requests adoption. It is included in the commit message and debian/changelog.

    Conflicts with -a.

-a number
    RFA/ITA bug number. Suitable "Closes: #nnnnnn" is added to debian/changelog.

    Conflicts with -m.

-g URL
    URL of an existing Git repository to clone. If not present gbp-import-dsc is used to prime the local Git repository from the package available in the Debian archive.

-n  Local operation. The resulting Git repository is not pushed to alioth.debian.org.

COPYRIGHT & LICENSE
Copyright 2008, 2009, 2013 Damyan Ivanov <dmn@debian.org>

Copyright 2008, 2011 gregor herrmann <gregoa@debian.org>

Copyright 2008, 2009, Ryan Niebur <ryan@debian.org>

This program is free software and can be distributed under the same terms as Perl.